Nico Huber (nico.h(a)gmx.de) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17743
-gerrit
commit 571f11b9f966f7c07e216a7c2cb109ef6ef7a6d6
Author: Nico Huber <nico.h(a)gmx.de>
Date: Tue Dec 6 23:57:33 2016 +0100
buildgcc: Test -fno-pie for broken Debian toolchain
Current Debian-testing toolchain reportedly has `-fpie` enabled by
default which breaks a lot things.
Change-Id: I5f8645bb65576d2e2602096fdb110ccd60341220
Signed-off-by: Nico Huber <nico.h(a)gmx.de>
---
util/crossgcc/buildgcc | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/util/crossgcc/buildgcc b/util/crossgcc/buildgcc
index 97c38b8..ff87d09 100755
--- a/util/crossgcc/buildgcc
+++ b/util/crossgcc/buildgcc
@@ -946,7 +946,7 @@ if [ -z "${LANGUAGES}" ]; then
fi
fi # GCC
-export HOSTCFLAGS="-Os"
+export HOSTCFLAGS="-Os -fno-pie"
if have_hostcflags_from_gmp; then
set_hostcflags_from_gmp
fi
the following patch was just integrated into master:
commit 26267a7a41312c3160604766d17f361dc80c2a52
Author: Nico Huber <nico.h(a)gmx.de>
Date: Sun Dec 4 02:45:58 2016 +0100
buildgcc: Be less restrictive when trying to build GNAT
It turned out that newer GNAT versions can build our current (5.3.0)
GNAT without bootstrapping. So adapt the version enforcement.
Change-Id: Ie7189e8bcadeee56cf5c2172e8c0ae7cd534685a
Signed-off-by: Nico Huber <nico.h(a)gmx.de>
Reviewed-on: https://review.coreboot.org/17706
Tested-by: build bot (Jenkins)
Reviewed-by: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Reviewed-by: Paul Menzel <paulepanter(a)users.sourceforge.net>
See https://review.coreboot.org/17706 for details.
-gerrit
the following patch was just integrated into master:
commit aa89fb4618987e5c5034f2370381168853cc7308
Author: Nico Huber <nico.h(a)gmx.de>
Date: Sun Dec 4 01:39:44 2016 +0100
buildgcc: Fix function prototype in GCC
With some newer versions of GCC (experienced with GCC 6.2.1 on Arch-
Linux) the first stage of a boostrapping fails due to a mismatching
function prototype. Also add a missing `static` to the signature.
Change-Id: Ia927036ccd725550f1191890515578bc80c74f80
Signed-off-by: Nico Huber <nico.h(a)gmx.de>
Reviewed-on: https://review.coreboot.org/17704
Tested-by: build bot (Jenkins)
Reviewed-by: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Reviewed-by: Paul Menzel <paulepanter(a)users.sourceforge.net>
See https://review.coreboot.org/17704 for details.
-gerrit
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17742
-gerrit
commit a54b4b45919c949f4c97043fe37f6f28b76fadc0
Author: Martin Roth <martinroth(a)google.com>
Date: Tue Dec 6 14:28:44 2016 -0700
util/kconfig/conf.c: Fix newline in error printf
For some reason the \n in the defconfig save error was not escaped.
Change-Id: I6a76b258f461a194fe17aae2b4fa04326b46d8d6
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/kconfig/conf.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/util/kconfig/conf.c b/util/kconfig/conf.c
index c421773..7aae1c7 100644
--- a/util/kconfig/conf.c
+++ b/util/kconfig/conf.c
@@ -705,7 +705,7 @@ int main(int ac, char **av)
}
} else if (input_mode == savedefconfig) {
if (conf_write_defconfig(defconfig_file)) {
- fprintf(stderr, _("n*** Error while saving defconfig to: %s\n\n"),
+ fprintf(stderr, _("\n*** Error while saving defconfig to: %s\n\n"),
defconfig_file);
return 1;
}
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17741
-gerrit
commit eb94d3c811a6dc5b7cbccbec81f796016fa81050
Author: Martin Roth <martinroth(a)google.com>
Date: Tue Dec 6 09:51:54 2016 -0700
util/abuild: Add more error handling for command line options
- Show an error if a directory is added after the command line options
to catch scripts using the old parameters.
- If an invalid parameter is specified, show the parameter.
Change-Id: Ie8948361f1c51e89a99bdb13df8c554747cd521d
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/abuild/abuild | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/util/abuild/abuild b/util/abuild/abuild
index 65f55a0..88787e8 100755
--- a/util/abuild/abuild
+++ b/util/abuild/abuild
@@ -679,10 +679,13 @@ while true ; do
configoptions="$(cat "$1")${configoptions}\n"
shift;;
--) shift; break;;
- -*) printf "Invalid option\n\n"; myhelp; exit 1;;
+ -*) printf "Invalid option '%s'\n\n" "$1"; myhelp; exit 1;;
*) break;;
esac
done
+if [ -n "$1" ]; then
+ printf "Invalid option '%s'\n\n" "$1"; myhelp; exit 1;
+fi
if [ -z "$TARGET" ] || [ "$TARGET" = "/" ]; then
echo "Please specify a valid, non-root build directory."
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17740
-gerrit
commit ff79596ee375b448f2a436e5cd2e5df3629c7e5a
Author: Martin Roth <martinroth(a)google.com>
Date: Tue Dec 6 09:18:36 2016 -0700
util/abuild: Add argument -R to specify root directory
cbroot was previously specified by just adding it to the end of the
command line with no explicit identifier. This change allows it to
go anywhere in the command line and adds the -R or --root identifier.
This makes the command line more consistent. Most of the time, this
argument isn't even needed, as the automatic detection finds cbroot.
Change-Id: I1d6fd8f51765d0d8b29be8af1e8105e06dd44cc8
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/abuild/abuild | 18 ++++++++----------
1 file changed, 8 insertions(+), 10 deletions(-)
diff --git a/util/abuild/abuild b/util/abuild/abuild
index 13c419c..65f55a0 100755
--- a/util/abuild/abuild
+++ b/util/abuild/abuild
@@ -16,8 +16,8 @@
#set -x # Turn echo on....
-ABUILD_DATE="Nov 23, 2016"
-ABUILD_VERSION="0.10.0"
+ABUILD_DATE="Dec 6, 2016"
+ABUILD_VERSION="0.10.01"
TOP=$PWD
@@ -508,7 +508,7 @@ function remove_target
function myhelp
{
cat << __END_OF_HELP
-Usage: $0 [options] [cbroot]
+Usage: $0 [options]
$0 [-V|--version]
$0 [-h|--help]
@@ -528,6 +528,8 @@ Options:\n"
[-P|--prefix <name>] File name prefix in CBFS
[-q|--quiet] Print fewer messages
[-r|--remove] Remove output dir after build
+ [-R|--root <path>] Absolute path to coreboot sources
+ (defaults to $ROOT)
[--scan-build] Use clang's static analyzer
[-s|--silent] Omit compiler calls in logs
[-t|--target <vendor/board>] Attempt to build target vendor/board only
@@ -541,9 +543,6 @@ Options:\n"
[-y|--ccache] Use ccache
[-z|--clean] Remove build results when finished
- [cbroot] Absolute path to coreboot sources
- (defaults to $ROOT)
-
[-V|--version] Print version number and exit
[-h|--help] Print this help and exit
@@ -588,12 +587,12 @@ getoptbrand="$(getopt -V)"
# shellcheck disable=SC2086
if [ "${getoptbrand:0:6}" == "getopt" ]; then
# Detected GNU getopt that supports long options.
- args=$(getopt -l version,verbose,quiet,help,all,target:,payloads:,cpus:,silent,junit,config,loglevel:,remove,prefix:,update,scan-build,ccache,blobs,clang,clean,outdir:,chromeos,xmlfile:,kconfig:,dir: -o Vvqhat:p:c:sJCl:rP:uyBLzo:xX:K:d: -- "$@") || exit 1
+ args=$(getopt -l version,verbose,quiet,help,all,target:,payloads:,cpus:,silent,junit,config,loglevel:,remove,prefix:,update,scan-build,ccache,blobs,clang,clean,outdir:,chromeos,xmlfile:,kconfig:,dir:,root: -o Vvqhat:p:c:sJCl:rP:uyBLzo:xX:K:d:R: -- "$@") || exit 1
eval set -- $args
retval=$?
else
# Detected non-GNU getopt
- args=$(getopt Vvqhat:p:c:sJCl:rP:uyBLzo:xX:K:d: "$@")
+ args=$(getopt Vvqhat:p:c:sJCl:rP:uyBLzo:xX:K:d:R: "$@")
set -- $args
retval=$?
fi
@@ -621,6 +620,7 @@ while true ; do
-V|--version) shift; myversion; exit 0;;
-h|--help) shift; myversion; myhelp; exit 0;;
-p|--payloads) shift; payloads="$1"; shift;;
+ -R|--root) shift; ROOT="$1"; shift;;
-c|--cpus) shift
export MAKEFLAGS="-j $1"
cpus=$1
@@ -773,8 +773,6 @@ build_targets()
}
fi
-test -z "$1" || ROOT=$1
-
debug "ROOT=$ROOT"
junit '<?xml version="1.0" encoding="utf-8"?>'
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17724
-gerrit
commit f30d4f35b2a0d5c709dbf21f542dec2bf40b8258
Author: Martin Roth <martinroth(a)google.com>
Date: Mon Dec 5 09:15:33 2016 -0700
util/abuild: Clean up usage
- Indent with spaces for consistency
- Change lbroot to cbroot
- Remove incomplete list of options from usage line
- Capitalize first word of all option text
- Alphabetize options other than version and help
- Move version and help options to the end
Change-Id: Id5bd4db8d7e3705cbbb93895a46a3608cd1b09e2
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/abuild/abuild | 58 ++++++++++++++++++++++++++++--------------------------
1 file changed, 30 insertions(+), 28 deletions(-)
diff --git a/util/abuild/abuild b/util/abuild/abuild
index f1029ae..13c419c 100755
--- a/util/abuild/abuild
+++ b/util/abuild/abuild
@@ -508,42 +508,44 @@ function remove_target
function myhelp
{
cat << __END_OF_HELP
-Usage: $0 [-v] [-a] [-b] [-r] [-t <vendor/board>] [-p <dir>] [lbroot]
+Usage: $0 [options] [cbroot]
$0 [-V|--version]
$0 [-h|--help]
Options:\n"
- [-v|--verbose] print more messages
- [-q|--quiet] print fewer messages
- [-a|--all] build previously succeeded ports as well
- [-r|--remove] remove output dir after build
- [-d|--dir <dir>] directory containing config files
- [-t|--target <vendor/board>] attempt to build target vendor/board only
- [-p|--payloads <dir>] use payloads in <dir> to build images
- [-V|--version] print version number and exit
- [-h|--help] print this help and exit
- [-J|--junit] write JUnit formatted xml log file
- (defaults to $XMLFILE)
- [-T|--test] submit image(s) to automated test system
- [-c|--cpus <numcpus>] build on <numcpus> at the same time
- [-s|--silent] omit compiler calls in logs
- [-y|--ccache] use ccache
- [-C|--config] configure-only mode
- [-l|--loglevel <num>] set loglevel
- [-u|--update] update existing image
- [-P|--prefix <name>] file name prefix in CBFS
+ [-a|--all] Build previously succeeded ports as well
[-B|--blobs] Allow using binary files
- [-z|--clean] Remove build results when finished
- [-o|--outdir <path>] store build results in path
- (defaults to $TARGET)
+ [-c|--cpus <numcpus>] Build on <numcpus> at the same time
+ [-C|--config] Configure-only mode
+ [-d|--dir <dir>] Directory containing config files
+ [-J|--junit] Write JUnit formatted xml log file
+ [-K|--kconfig <name>] Prepend file to generated Kconfig
+ [-l|--loglevel <num>] Set loglevel
[-L|--clang] Use clang
- [-K|--kconfig <name>] Prepend file to generated Kconfig
+ [-o|--outdir <path>] Store build results in path
+ (defaults to $TARGET)
+ [-p|--payloads <dir>] Use payloads in <dir> to build images
+ [-P|--prefix <name>] File name prefix in CBFS
+ [-q|--quiet] Print fewer messages
+ [-r|--remove] Remove output dir after build
+ [--scan-build] Use clang's static analyzer
+ [-s|--silent] Omit compiler calls in logs
+ [-t|--target <vendor/board>] Attempt to build target vendor/board only
+ [-T|--test] Submit image(s) to automated test system
+ [-u|--update] Update existing image
+ [-v|--verbose] Print more messages
[-x|--chromeos] Build with CHROMEOS enabled
Skip boards without Chrome OS support
- [-X|--xmlfile <name>] set JUnit XML log file filename
- [--scan-build] use clang's static analyzer
- [cbroot] absolute path to coreboot sources
- (defaults to $ROOT)
+ [-X|--xmlfile <name>] Set JUnit XML log file filename
+ (defaults to $XMLFILE)
+ [-y|--ccache] Use ccache
+ [-z|--clean] Remove build results when finished
+
+ [cbroot] Absolute path to coreboot sources
+ (defaults to $ROOT)
+
+ [-V|--version] Print version number and exit
+ [-h|--help] Print this help and exit
__END_OF_HELP
}
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/17723
-gerrit
commit 1b5818b5882276f807018091a284ae4e1a4f2fe3
Author: Martin Roth <martinroth(a)google.com>
Date: Wed Nov 30 16:38:25 2016 -0700
util/abuild: Don't set XGCCPATH if it's in the environment
Change-Id: I0fa231ca3d33300a671810e994c5be54ac10a18b
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/abuild/abuild | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/util/abuild/abuild b/util/abuild/abuild
index 042a855..f1029ae 100755
--- a/util/abuild/abuild
+++ b/util/abuild/abuild
@@ -31,8 +31,10 @@ export KCONFIG_OVERWRITECONFIG=1
# path to payload. Should be more generic
PAYLOAD=/dev/null
-# path to coreboot XGCC
-XGCCPATH="$(pwd)/util/crossgcc/xgcc/bin/"
+# get path to coreboot XGCC if it's not already set
+if [ -z "$XGCCPATH" ]; then
+ XGCCPATH="$TOP/util/crossgcc/xgcc/bin/"
+fi
# Add XGCC to the path.
if [ -d "$XGCCPATH" ] && [[ ":$PATH:" != *":$XGCCPATH:"* ]]; then